package com.xjrsoft.common.enums;

/**
 * @Author: tzx
 * @Date: 2023/7/6 10:32
 */
public enum SmsType {
    /**
     * 验证码
     */
    CAPTCHA(0, "验证码"),

    /**
     * 消息通知
     */
    NOTIFY(1, "消息通知"),

    /**
     * 传阅通知
     */
    CIRCULATED(2, "传阅通知"),

    /**
     * 超时提醒
     */
    TIMEOUT(3, "超时提醒");

    final int code;
    final String value;

    public int getCode() {
        return this.code;
    }

    public String getValue() {
        return this.value;
    }

    SmsType(final int code, final String message) {
        this.code = code;
        this.value = message;
    }
}
